<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->id();
            $table->integer('customerId')->nullable();
            $table->string('projectName')->nullable();
            $table->string('projectHandler')->nullable();
            $table->date('expectedStartDate')->nullable();
            $table->string('expectedDuration')->nullable();
            $table->date('expectedEndDate')->nullable();
            $table->string('projectLocation')->nullable();
            $table->longText('projectDetails')->nullable();
            $table->string('projectStatus')->nullable();
            $table->string('projectSubStatus')->nullable();
            $table->boolean('projectCompleted')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('projects');
    }
};
